<?php
require'fun.php';
require'f_admin.php';
if($perm<2)
require'interzis.php';
$titlu='Reparare link-uri din OneDrive';
require'f_sus.php';
echo$div[4].img('administrare.png',1).'Reparare link-uri din OneDrive'.$div[5];
require'f_dimensiune.php';
$limita=1;
$nr1=0;
$nr2=0;
$items=$conn->query('SELECT`id`,`link`,`nume`,`dimensiune`FROM`descarcari_fisiere`WHERE`link`LIKE"%live.com/redir?%"||`link`LIKE"%1drv.ms/%"ORDER BY`id`LIMIT '.$limita);
while($item=$items->fetch_row())
{
if(!mb_stristr($item[1],'onedrive'))
$item[1]=str_ireplace('location: ','',get_headers($item[1])[1]);
$item[1]=str_ireplace(['https://','redir?'],[$adresasite[4],'download?'],$item[1]);
$nume=$item[2];
$dimensiune=0;
foreach(get_headers(str_replace('http://','https://',$item[1]),1) AS$cheie=>$valoare)
{
if($cheie=='Content-Disposition')
$nume=rawurldecode(mb_stristr($valoare,"'")?@explode("'",$valoare)[2]:@explode('"',$valoare)[1]);
if($cheie=='Content-Length')
$dimensiune=$valoare[1];
}
$item[1]=str_replace('/download?','/download/fisier.'.@mb_strtolower(mb_substr(mb_strrchr(explode('?',$nume)[0],'.'),1)).'?',$item[1]);
if($conn->query('UPDATE`descarcari_fisiere`SET`nume`="'.$nume.'",`link`="'.$item[1].'",`dimensiune`="'.$dimensiune.'",`validd`="6"WHERE`id`="'.$item[0].'"'))
{
$nr1++;
$valori_modificate='';
if($item[2]!=$nume)
$valori_modificate.='Nume vechi: '.$item[2].'
Nume nou: '.$nume.'
';
if($item[3]>0&&$item[3]!=$dimensiune)
$valori_modificate.='Dimensiune veche: '.$item[3].'
Dimensiune nouă: '.$dimensiune.'
';
if($valori_modificate!='')
file_put_contents('log/fisiere_editate.txt','Link: '.$adresasite[0].'/fisier/id/'.$item[0].'-'.seo($item[2]).'
'.$valori_modificate.'


',FILE_APPEND|LOCK_EX);
}
else
$nr2++;
echo$div[1].$nume.'<strong> - </strong>'.dimensiune($dimensiune).'<strong> - </strong>'.$item[1].'<strong> - </strong>'.$item[0].$div[0];
}
echo$div[1].$nr1.' rezolvate!'.$div[0].$div[1].($nr1==$limita&&$nr2==0?$conn->query('SELECT COUNT(*)FROM`descarcari_fisiere`WHERE`link`LIKE"%live.com/redir?%"||`link`LIKE"%1drv.ms/%"')->fetch_row()[0].' rămase<meta http-equiv="refresh" content="0; url='.$_SERVER['REQUEST_URI'].'" />':$nr2.' ne rezolvate, final!').$div[0];
require'f_jos.php';